# Authentication

### Authentication

For authentication, pass your token in th&#x65;**`insurpass-request`** header.

```javascript
headers: {
'Authorization': Bearer ins_sk_ec55873830a2706c8fb5f5bad704b2c04dd9c58e83b4b59a9c5e34ad4b89ba0b485f6bed251a55f7_test',
'Content-Type: application/json'
},
```

If you do not include your token when making an API request, or you use a token that is incorrect or outdated, Insurpass will return an error.

Your bearer token can be used to make any API call on behalf of your account so you'll need to treat it as you would any other password and grant access only to those who need it.

If a token is compromised, you can re-generate a new one from your dashboard.&#x20;

{% hint style="info" %}
***Note that when a new token is generated, the old token is immediately blocked.***
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/getting-started/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
